/* FernsehController */

#import <Cocoa/Cocoa.h>
#import "BluetoothServerInterface.h"

@class PluginMain;

@interface FernsehController : NSObject {
    BluetoothServerInterface *server;
    PluginMain *controller;
}
- (id)initWithController:(PluginMain*)plg;
- (BOOL)startServices;
- (void)shutDown;

- (void)disconnected;
- (void)connected;
- (void)receiveData:(NSData *)data;
- (void)sendString:(NSString*)strg;
+ (BOOL)bluetoothAvailableAndPowered;

@end
